package de.szut.casino.slots;

import lombok.Getter;

import java.math.BigDecimal;

@Getter
public enum Symbol {
    SEVEN("seven", new BigDecimal("1000")),
    BAR("bar", new BigDecimal("85")),
    BELL("bell", new BigDecimal("40")),
    CHERRY("cherry", new BigDecimal("10")),
    BLANK("blank", new BigDecimal("0"));

    private final String displayName;
    private final BigDecimal payoutMultiplier;

    Symbol(String displayName, BigDecimal payoutMultiplier) {
        this.displayName = displayName;
        this.payoutMultiplier = payoutMultiplier;
    }
}
